section .text

.globl main
main:
entry:
    push rbp
    mov rbp, rsp
    push rbx
    push rsi
    sub rsp, 16
    mov r10, 0
    mov rbx, 0
    mov [rbp+1], rbx
    mov rcx, 20
    mov rdx, 22
    sub rsp, 32
    call basic_add
    add rsp, 32
    mov rbx, rax
    mov rsi, rax
    mov [rbp+1], rsi
    mov r10, [rbp+1]
    mov rbx, [rbp+1]
    mov rax, [rbp+1]
    add rsp, 16
    pop rsi
    pop rbx
    pop rbp
    ret _

